IBM Support

Security Bulletin: IBM Watson Speech Services Cartridge for IBM Cloud Pak for Data is vulnerable to a denial of service in Golang Go (CVE-2022-24675)

Security Bulletin


Summary

IBM Watson Speech Services Cartridge for IBM Cloud Pak for Data is vulnerable to a denial of service in Golang Go, caused by a stack-based buffer overflow in encoding/pem in the Decode feature (CVE-2022-24675). A remote attacker could exploit this vulnerability to cause the program to crash. Golang Go is included in some of the operators used in IBM Watson Speech. Please read the details for remediation below.

Vulnerability Details

CVEID:   CVE-2022-24675
DESCRIPTION:   Golang Go is vulnerable to a denial of service, caused by a stack-based buffer overflow in encoding/pem in the Decode feature. By sending a specially-crafted request, a remote attacker could exploit this vulnerability to cause the program to crash.
CVSS Base score: 7.5
CVSS Temporal Score: See: https://exchange.xforce.ibmcloud.com/vulnerabilities/224866 for the current score.
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)

Affected Products and Versions

 

Affected Product(s)Version(s)
IBM Watson Speech Services Cartridge for IBM Cloud Pak for Data4.0.0 - 4.5.0

 

 


Remediation/Fixes

IBM recommends addressing the vulnerability now by upgrading.

Product(s)Version(s)
Remediation/Fix/Instructions
IBM Watson Speech Services Cartridge for IBM Cloud Pak for Data4.5.1The fix in 4.5.1 applies to all versions listed (4.0.0-4.5.0). Version 4.5.1 can be downloaded and installed from: 
https://www.ibm.com/docs/en/cloud-paks/cp-data/4.5.x?topic=installing

Workarounds and Mitigations

None

Get Notified about Future Security Bulletins

References

Off

Change History

15 Jul 2022: Initial Publication

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

Review the IBM security bulletin disclaimer and definitions regarding your responsibilities for assessing potential impact of security vulnerabilities to your environment.

Document Location

Worldwide

[{"Business Unit":{"code":"BU053","label":"Cloud \u0026 Data Platform"},"Product":{"code":"SSCL91","label":"Speech to Text"},"Component":"","Platform":[{"code":"PF040","label":"RedHat OpenShift"}],"Version":"4.0.0 - 4.5.0","Edition":""}]

Document Information

Modified date:
04 August 2022

UID

ibm16610295